# The Keyboard Shortcuts Data

Namespace: `core/keyboard-shortcuts`.

## Selectors

<!-- START TOKEN(Autogenerated selectors|../../../packages/keyboard-shortcuts/src/store/selectors.js) -->

### getAllShortcutKeyCombinations

Undocumented declaration.

### getAllShortcutRawKeyCombinations

Returns the raw representation of all the keyboard combinations of a given shortcut name.

_Parameters_

-   _state_ `Object`: Global state.
-   _name_ `string`: Shortcut name.

_Returns_

-   `string[]`: Shortcuts.

### getCategoryShortcuts

Returns the shortcut names list for a given category name.

_Parameters_

-   _state_ `Object`: Global state.
-   _name_ `string`: Category name.

_Returns_

-   `string[]`: Shortcut names.

### getShortcutAliases

Returns the aliases for a given shortcut name.

_Parameters_

-   _state_ `Object`: Global state.
-   _name_ `string`: Shortcut name.

_Returns_

-   `WPShortcutKeyCombination[]`: Key combinations.

### getShortcutDescription

Returns the shortcut description given its name.

_Parameters_

-   _state_ `Object`: Global state.
-   _name_ `string`: Shortcut name.

_Returns_

-   `string?`: Shortcut description.

### getShortcutKeyCombination

Returns the main key combination for a given shortcut name.

_Parameters_

-   _state_ `Object`: Global state.
-   _name_ `string`: Shortcut name.

_Returns_

-   `WPShortcutKeyCombination?`: Key combination.

### getShortcutRepresentation

Returns a string representing the main key combination for a given shortcut name.

_Parameters_

-   _state_ `Object`: Global state.
-   _name_ `string`: Shortcut name.
-   _representation_ `keyof FORMATTING_METHODS`: Type of representation (display, raw, ariaLabel).

_Returns_

-   `string?`: Shortcut representation.

<!-- END TOKEN(Autogenerated selectors|../../../packages/keyboard-shortcuts/src/store/selectors.js) -->

## Actions

<!-- START TOKEN(Autogenerated actions|../../../packages/keyboard-shortcuts/src/store/actions.js) -->

### registerShortcut

Returns an action object used to register a new keyboard shortcut.

_Parameters_

-   _config_ `WPShortcutConfig`: Shortcut config.

_Returns_

-   `Object`: action.

### unregisterShortcut

Returns an action object used to unregister a keyboard shortcut.

_Parameters_

-   _name_ `string`: Shortcut name.

_Returns_

-   `Object`: action.

<!-- END TOKEN(Autogenerated actions|../../../packages/keyboard-shortcuts/src/store/actions.js) -->
